@import url("https://fonts.googleapis.com/css2?family=NTR&display=swap");

* {
  font-family: "NTR", sans-serif;
  padding: 0px;
  margin: 0;
  box-sizing: border-box;
  background-color: #02182b;
  color: #c8ffbe;
}

nav {
  display: flex;
  align-items: center;
  padding: 1em;
  gap: 1.5em;
  font-weight: bold;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 100;
}

nav a {
  font-size: 1.25em;
  text-decoration: none;
}

nav h2:hover,
nav a:hover,
nav i:hover {
  color: #b497d6;
  cursor: pointer;
}

.nav-opts,
.socials {
  display: flex;
  align-items: center;
  gap: 0.5em;
}

.socials {
  margin-left: auto;
  gap: 1em;
}

.last-socials {
  display: none;
}

.intro {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: center;
  height: 90vh;
  gap: 2em;
  margin-top: 4em;
}

.intro-main {
  display: flex;
  align-items: center;
  gap: 3rem;
  justify-content: center;
}

.intro img {
  border-radius: 50%;
  width: 16%;
  border: 3px solid #b497d6;
}

.intro img:hover {
  box-shadow: 0 0 5px #b497d6;
}

.intro h1 {
  font-size: 5em;
  margin: -0.75em 0 0 0;
}

.intro h2 {
  font-size: 2.5em;
  font-weight: 400;
  margin: -3em 0em 0em -0.2em;
}

.name {
  display: inline;
  color: #b497d6;
}

.content {
  padding: 2em;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5em;
}

h3 {
  font-size: 2em;
}

#skills,
#projects,
#contact {
  width: 80%;
}

.showcase {
  padding: 1em;
  display: flex;
  flex-wrap: wrap;
}

.skill-cards {
  width: 5em;
  margin: 1em;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 2px solid #b497d6;
  padding: 1em;
  font-size: 1.5em;
  border-radius: 10px;
}

.skill-cards:hover {
  background-color: rgba(255, 255, 255, 0.37);
  cursor: pointer;
}

.shcs-projects {
  justify-content: space-evenly;
}

.project-cards {
  width: 30em;
  display: flex;
  border: 2px solid #b497d6;
  padding: 2em;
  margin: 1em;
  flex-direction: column;
  align-items: flex-start;
  border-radius: 10px;
}

.project-cards img:hover {
  cursor: pointer;
}

.project-cards img {
  max-width: 400px;
  border-radius: 10px;
  border: 1px solid #b497d6;
}

.project-cards h4 {
  font-size: 1.25em;
  padding: 0.5em 0 0 0;
}

.contact-box {
  display: flex;
  flex-direction: column;
}

.contact-msg {
  padding: 1em;
  display: flex;
  justify-content: center;
  /* flex-direction: column; */
}

.contact-msg h4 {
  font-size: 1.25em;
}

.mailme {
  align-self: center; /* Center the button horizontally */
  padding: 0.5em 2em; /* Add horizontal padding */
  border: 2px solid #b497d6;
  border-radius: 5px;
  font-size: 1.25em;
  cursor: pointer;
}

.mailme:hover {
  cursor: pointer;
  background-color: rgba(240, 248, 255, 0.39);
  box-shadow: 0 0 5px #b497d6;
}

footer {
  gap: 4px;
  padding: 0em 18em 3em 18em;
}

footer p {
  text-align: center;
}

.final-msg {
  margin-top: 1em;
  font-size: 22px;
}

.copy {
  margin: -0.8em;
  font-size: 18px;
}

.fa-heart {
  display: inline;
  color: #b497d6;
}

/* Responsiveness */

@media (max-width: 1100px) {
  .nav-opts {
    display: none;
  }
  .intro {
    display: flex;
    gap: 4.5em;
    height: 92vh;
  }
  .intro-main {
    display: flex;
    flex-direction: column;
    gap: 4em;
  }
  .intro-main img {
    width: 30%;
  }
  .intro h2 {
    font-size: 2em;
  }
  .content {
    display: flex;
    padding: 1.5em;
  }
  #skills,
  #projects,
  #contact {
    width: 90%;
  }
  .showcase {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
  }
  .project-cards {
    max-width: 350px;
  }
  .project-cards img {
    max-width: 280px;
  }
  footer {
    padding: 0;
  }
  .copy {
    margin: 0;
  }
}

@media (max-width: 600px) {
  .intro {
    display: flex;
    width: fit-content;
    height: 92vh;
  }
  .intro-main {
    display: flex;
    gap: 0em;
  }
  .intro-main h1 {
    font-size: 3em;
    margin: 0;
  }
  .intro h2 {
    font-size: 2em;
  }
  .content {
    display: flex;
    padding: 1em;
  }
  #skills,
  #projects,
  #contact {
    width: 90%;
  }
  .showcase {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
  }
  .project-cards {
    max-width: 350px;
  }
  .project-cards img {
    max-width: 250px;
  }
  footer {
    padding: 0;
  }
  .copy {
    margin: 0;
  }
}

@media (max-width: 400px) {
  .logo {
    font-size: 0.75em;
  }
  .socials {
    font-size: 0.75em;
  }
  .content {
    width: 100%;
  }
  .skill-cards {
    margin: 0.15em;
    padding: 1em 0.5em 0.5em 0.5em;
    gap: 0em;
  }
  .shcs-projects {
    padding: 0.1em;
  }
  .project-cards {
    margin: 1em 0 0 0;
    width: 20em;
  }
  .project-cards img {
    max-width: 240px;
  }
  .final-msg {
    margin-top: 0;
  }
}
@media (max-width: 425px) {
  nav {
    display: flex;
    justify-content: center;
  }
  .logo {
    font-size: 1em;
  }
  .socials {
    display: none;
  }
  .intro {
    height: 110vh;
    position: relative;
    margin-top: -5em;
  }
  .last-socials {
    margin-top: 35em;
    display: flex;
    gap: 1em;
    justify-self: flex-end;
    position: absolute;
    border: 2px solid #b497d6;
    padding: 1em;
    border-radius: 10px;
    box-shadow: 0 0 5px #b497d6;
    align-items: center;
    font-size: 1em;
  }
  .project-cards {
    max-width: 260px;
  }
  .project-cards img {
    max-width: 190px;
  }
}
